Subject: Re: Has anyone been able to build GNOMEon hp300?
To: None <>
From: Julius Goh <>
List: tech-pkg
Date: 03/15/2000 20:11:21
Hi Havard,

I found a work around to my problem in the bug database.  The problem was 
reported by some one using libgtop-1.0.5.  The solution seems to work but 
will confirm this when I get GNOME completely built.  No I do not have 
patch-al.  I have not read of this file in any documentations.  Could you 
tell me how I could get this?  I would be interested to know how 
libgtop-1.0.6 turns out on your hp300.  Thank you.


>Subject: Re: Has anyone been able to build GNOMEon hp300?
>Date: Sun, 12 Mar 2000 18:18:20 +0100
>Your mail (news?) was forwarded...
> > Has anyone been able to to build GNOME on hp300?  I am
> > encountering a build error when it comes to compiling the
> > package libgtop, one of the required package for GNOME. I am
> > running netBSD 1.4.1 on a 433s machine.
>On my hp300 I have these installed:
>orre% pkg_info | egrep gnome
>gnome-libs-1.0.53   Libaries for the GNU Network Object Model Environment
>gnome-print-0.9     A prototype implementation of the Gnome Printing 
>gnome-core-1.0.53   Base component of GNU Network Object Management 
>gnome-chess-0.2.4   GNOME's graphical interface for playing chess.
>orre% pkg_info | egrep libgtop
>libgtop-1.0.5       library to retrieve system information, used in GNOME.
>orre% uname -a
>NetBSD 1.4.2 NetBSD 1.4.2 (ORRE) #2: Sat Mar  4 00:30:01 MET 
>2000 hp300
>I remember seeing some error similar to the one you quoted about
>'struct pcb' etc.  Let's see...  Do you have patch-al in your tree?
>It tries to work around the i386-centricism of this code.  It may
>be that there's a newer libgtop (yep, 1.0.6) -- I've not tried to
>build that one yet.
>- Håvard

Get Your Private, Free Email at